gpm (1.20.7-12build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:41:32 +0100

gpm (1.20.7-12) unstable; urgency=low

  [ Samuel Thibault ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 1.17.8-1, 1.10-6.
  * Update standards version to 4.6.2, no changes needed.
  * patches/98-gcc-15: Fix gpm.h against gcc-15 (Closes: #1096346, #1096759)

  [ Nuri Küçükler ]
  * Turkish debconf translation.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Sep 2025 20:26:39 +0200

gpm (1.20.7-11) unstable; urgency=medium

  * control: Drop dependency on now-obsolete lsb-base.
  * patches/097-implicit: Fix build with qa=+bug-implicit-func
    (Closes: Bug#1066447)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 12:46:09 +0100

gpm (1.20.7-10) unstable; urgency=medium

  * *lintian-overrides: Play cat and mice again with lintian
    warning suppression.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:33:28 +0100

gpm (1.20.7-9) unstable; urgency=medium

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Rename patches 9x_* to 09x_* for uniformity.
  * Update Origin and Bug-LFS URL in 094_gpm-1.20.7-glibc-2.26-1.patch.
    Thanks DUCK!

  [ Szabolcs Nagy ]
  * Add patch to support building against musl libc. (Closes: #813751)
    + Use SA_NODEFER instead of its non-standard alias SA_NOMASK.
    + Add missing sys/select.h and fcntl.h includes.
    + Use standard sigemptyset unconditionally.
    + Define SA_INTERRUPT if it's not defined (historical no-op).

 -- Axel Beckert <abe@debian.org>  Thu, 16 Sep 2021 03:15:19 +0200

gpm (1.20.7-8) unstable; urgency=high

  * Fix enabling of gpm under systemd by adding #DEBHELPER# marker to
    gpm.postinst. Try not to break other init systems while doing so.
    (Closes: #980726, LP: #1912575)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Jan 2021 19:34:33 +0100

gpm (1.20.7-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.5.0 (no changes).

  [ Axel Beckert ]
  * Remove trailing blank lines from maintainer scripts.
  * Try to make a .service file which honours /etc/gpm.conf by using a
    shell script wrapper around gpm which constructs the correct
    commandline. Code taken from the init script. (Closes: #777291)
    Update prerm script accordingly.
  * Recode debian/po/{fr,sv}.po from ISO-8859-1 to UTF-8. Thanks Lintian!
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Bump debhelper-compat to 13.
  * Declare compliance with Debian Policy 4.5.1. No changes needed.

 -- Axel Beckert <abe@debian.org>  Thu, 14 Jan 2021 02:19:31 +0100

gpm (1.20.7-6) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.

  [ Axel Beckert ]
  * debian/watch: Ignore alpha or beta releases, drop unused uupdate.
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)
  * Add patch from Gentoo to fix FTBFS with gcc-10. (Closes: #953266)
    Thanks Helmut Grohne for the bug report and reference to Gentoo!
  * Remove trailing whitespace from ancient debian/changelog entries.
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Set "Rules-Requires-Root: no".
  * Add "Build-Depends-Package: libgpm-dev" to d…/libgpm2.symbols. Fixes
    lintian warning symbols-file-missing-build-depends-package-field.

 -- Axel Beckert <abe@debian.org>  Sun, 19 Apr 2020 08:06:21 +0200

gpm (1.20.7-5) unstable; urgency=medium

  * Update Vcs-* headers for switch to salsa.debian.org.
  * Fix syslog format string in
    092_fix-format-not-a-string-literal-and-no-format-arguments.patch.
    Thanks William Blough and Samuel Thibault! (Closes: #888792, #888797)

 -- Axel Beckert <abe@debian.org>  Tue, 30 Jan 2018 02:21:54 +0100

gpm (1.20.7-4) unstable; urgency=low

  * Upload to unstable again to fix #886903 also in unstable.
    + Mention #886903 in debian/patches/94_gpm-1.20.7-glibc-2.26-1.patch
      and the 1.20.7-2 debian/changelog entry.
    + Set urgency=low.
  * Add lintian-override for too-long-extended-description-in-templates:
    The list of possible device types cannot be shortened without loosing
    essential information for the administrator.
  * Switch watch file and Homepage to HTTPS and drop "www.".
  * debian/clean: Add all files reported by "git clean -dxf" (even after
    having run "debclean"), partially by using wildcards. Makes package
    building twice in a row again.
  * Drop "Priority: standard" for libgpm2: It's no more required that all
    dependencies of a package only have the same or higher priority.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility to 11.
    + Update versioned build-dependency on debhelper accordingly.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Jan 2018 22:50:00 +0100

gpm (1.20.7-3) experimental; urgency=low

  * Convert debian/copyright to machine-readable DEP5 format.
    + Update copyright years.
    + Add missing copyright holders.
    + Add missing GPL-3.0+ for two files under scripts/.
  * Remove Makefile in debian/rules before dh_auto_clean is called.
  * Install README.versions as documentation.
  * Add contrib/emacs/t-mouse.elc to debian/clean.
  * Restrict architecture to linux-any for now. (Closes: #745168)
  * Add man page for gpm-microtouch-setup(8) by François Wendling. Thanks!
    (Closes: #496868)

 -- Axel Beckert <abe@debian.org>  Thu, 21 Sep 2017 00:36:08 +0200

gpm (1.20.7-2) experimental; urgency=low

  [ Axel Beckert ]
  * Pre-emptively add patch from NuTyX/LFS to fix FTBFS with glibc 2.26.
    (Closes: #886903)
  * Retroactively mention #490657 in previous changelog entry.
  * debian/clean: Add Makefile and src/.depend to be able to build twice
    in a row.

  [ Samuel Thibault ]
  * Bump Standards-Versions to 4.1.0 (no changes).

  [ Andreas Henriksson ]
  * Re-add Gpm_Wgetch symbol and fix 050_dont_link_libcurses patch.
    (Closes: #873568)

 -- Axel Beckert <abe@debian.org>  Wed, 20 Sep 2017 22:11:43 +0200

gpm (1.20.7-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Adopt package (Closes: Bug#852224)
  * control: Update maintainer mailing list.

  [ Axel Beckert ]
  * Adding myself as Maintainer. (c.f. #852224)
  * Apply wrap-and-sort.
  * Update upstream download URL in debian/copyright. Issue found by DUCK.
  * Add not yet cleaned up build artifacts to debian/clean.
  * Switch to source format "3.0 (quilt)" and rewrite debian/rules as dh
    v7 style minimal rules file with debhelper compatibility level 10.
    + Bump versioned debhelper build-dependency accordingly.
    + Drop build-dependencies on quilt, autoconf and autotools-dev.
    + Refresh 021_libgpm_dev_gpmctl_debug_msg.patch to remove fuzz.
    + Use dh-exec and executable debian/*.install files instead of
      $(INSTALL_PROGRAM) and $(INSTALL_DATA) in debian/rules.
    + Add patch to fix FTBFS with -Wformat-security.
  * Enable all hardening build flags.
    + Update 014_has_mouse_control.patch to properly pass compile flags.
  * Add patch to fix spelling errors found by lintian.
  * Declare compliance with Debian Policy 4.0.1.
    + Use /run/ instead of /var/run/ in init script.
  * Import stable upstream release 1.20.7. (Closes: #490657)
    + Refresh patches where necessary.
    + Manually extend 050_dont_link_libcurses to make package compile
      again independently of libncurses5-dev being installed or not.
    + Drop 020_daemon_quit_noverbose.patch,
      021_libgpm_dev_gpmctl_debug_msg.patch,
      022_libgpm_no_log_debug_msg.patch, 030_fd_set_negative_int.patch and
      040_no_OPEN_MAX.patch, applied upstream.
    + Update debian/libgpm2.install wrt. to minor SONAME version.
    + No more symlink config.{sub,guess}, call ./autogen.sh instead.
  * Add DEP-3 headers to all patches.
  * Add an initial symbols file.

  [ Peter Eisentraut ]
  * Add init.d status support. (Closes: #525677)

 -- Axel Beckert <abe@debian.org>  Sun, 13 Aug 2017 05:11:33 +0200

gpm (1.20.4-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cleanup dependencies:
    - Remove dependency on obsolete package texi2html to fix lintian error.
    - While on it, remove unneeded dependency on texlive-base
    This is safe as it seems that gpm is not using texi2html and texlive-base,
    the generated Debian packages have identical documentation.
    This also has a nice side effect to reduce B-Ds a lot, and it looks like
    that this solves an dependency cycle.
  * Remove Pre-Depends on multiarch-support to fix lintian error.
  * Fixing lintian-warning h-clean-k-is-deprecated by using dh_prep instead.
  * The fixed lintian errors and warning Closes: #820670.
  * Fix lintian informational warnings:
    - binary-control-field-duplicates-source field "section"
    - binary-control-field-duplicates-source field "priority"
    - duplicate-long-description libgpm2 libgpm-dev
  * Bump compat level to 9

 -- Tobias Frost <tobi@debian.org>  Mon, 11 Apr 2016 11:36:03 +0200

gpm (1.20.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with glibc 2.17, missing include":
    add patch 091_glibc_2.17_types from Adam Conrad / Ubuntu:
    - explicitly include <sys/types.h>
    (Closes: #700229)

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Jun 2013 15:59:29 +0200

gpm (1.20.4-6) unstable; urgency=low

  * No source changes; rebuild to make the multiarch *.gz md5sums match.
    (Should be a binNMU, but those do not work with M-A.)

 -- Peter Samuelson <peter@p12n.org>  Sun, 10 Jun 2012 14:55:09 -0500

gpm (1.20.4-5) unstable; urgency=medium

  [ Peter Samuelson ]
  * Tweak debian/rules to pass the right CC into configure.  Thanks Kyle
    Moffett.  (Closes: #645278)
  * Add Polish debconf translation, thanks Michał Kułach.  (Closes: #658143)
  * Fix watch file.
  * Drop long-obsolete libgpmg1-dev dummy package.
  * A few tweaks to rules and control files.

  [ Stefan Lippers-Hollman ]
  * Fix kernel detection for kernel >=3 (Closes: #653036).
    - patches/090_linux3_versions: New patch: also fix gpm-root.y for
      kernel 3.x version scheme.

 -- Peter Samuelson <peter@p12n.org>  Fri, 08 Jun 2012 11:20:49 -0500

gpm (1.20.4-4) unstable; urgency=low

  * Ack NMUs - thanks, guys!
  * Promote myself to maintainer.  There's not really been a gpm "team"
    for some time now.
  * Upgrade to source format 1.0.
  * Use config.sub, config.guess from autotools-dev.
  * Add some cross-compile fu.  Touches rules, patches/014 and (new)
    patches/080.  From Ubuntu, modified.
  * Multiarch.  Based on a patch by Riku Voipio, thanks!  (Closes: #638960)
  * Policy 3.9.2:
    - Remove some Conflicts and change one to Breaks.
    - Fix some exit codes in gpm.init.
  * libgpmg1-dev: arch all, not any.

 -- Peter Samuelson <peter@p12n.org>  Tue, 23 Aug 2011 12:16:08 -0500

gpm (1.20.4-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Minor QA changes (triggerred by lintian warnings):
    - Add ${misc:Depends} to binary packages dependencies
    - No longer call install-info in prerm and postinst scripts
    - Do not hardcode path to gpm in prerm script
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #595640
    - Dutch (Eric Spreen).  Closes: #605587

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 Apr 2011 09:08:07 +0200

gpm (1.20.4-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Belarusian (Pavel Piatruk).  Closes: #516032
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512854

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jan 2010 09:47:32 +0100

gpm (1.20.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/070_struct_ucred: fix FTBFS. Closes: #520853

 -- Peter Eisentraut <petere@debian.org>  Fri, 24 Apr 2009 18:41:08 +0300

gpm (1.20.4-3.1) unstable; urgency=low

  [ Thomas Viehmann ]
  * Non-maintainer upload.
  * debian/patches/060_no_blocking_on_mouse_device_under_x:
    don't block in rxvt. Closes: #470882
    Analysis and patch by Samuel Thibault, thanks!

  [ Neil Williams ]
  * clean up Makefile to allow gpm to build twice in a row in a pbuilder
    chroot (release goal)

 -- Neil Williams <codehelp@debian.org>  Sun, 30 Nov 2008 01:36:31 +0100

gpm (1.20.4-3) unstable; urgency=low

  * Remove myself from Uploaders.
  * Group related patches:
    - debian/patches/030_daemon_quit: Rename to ...
    - debian/patches/020_daemon_quit_noverbose.patch: ... this.
  * Demote syslog message when the gpmctl node cannot be opened to debugging
    output, that's the case when gpm is not running. And change libgpm to not
    log into syslog debugging messages. (Closes: #469933, #479474, #479824)
    (Closes: #480070, #488053, #490895, #492954, #494924)
    Thanks to Jonathan Nieder <jrnieder@uchicago.edu>.
    - debian/patches/015_libgpm_noverbose.patch: Replace with ...
    - debian/patches/021_libgpm_dev_gpmctl_debug_msg.patch: ... this.
    - debian/patches/022_libgpm_no_log_debug_msg.patch: New file.
  * Fix a segfault on startup produced by an off-by-one error when accessing
    the console information array due to a missmatch between some files
    using the kernel and others the gpm definition for the number of
    supported consoles. (Closes: #493168)
    Thanks to Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
    and Samuel Thibault <samuel.thibault@ens-lyon.org>.
    - debian/patches/031_max_consoles.patch: New file.
  * Update Catalan debconf translation.

 -- Guillem Jover <guillem@debian.org>  Sun, 26 Oct 2008 04:36:14 +0200

gpm (1.20.4-2) unstable; urgency=low

  * Replace $local_fs with $remote_fs in init script. (Closes: #475454)
  * Cleanup debian/copyright:
    - Change 'Copyright' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Refer to GPL-2 from common-licenses instead of just GPL.
    - Remove packaging svn information.
  * Add Conflicts and Replaces to libgpm-dev on libgpmg1-dev << 1.20.4.
  * Add Provides to libgpm-dev on libgpmg1-dev.
  * Versions before 1.20.3~pre3 are wire protocol incompatible, after that
    the library broken ABI, but applications still use the old wire protocol.
    - Add Conflicts to gpm against libgpmg1.
    - Add Conflicts to libgpm2 against gpm << 1.20.3~pre3.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 09:38:10 +0300

gpm (1.20.4-1) experimental; urgency=low

  [ Guillem Jover ]
  * New upstream version. (Closes: #482138)
    - debian/patches/001_logging.patch: Removed, merged upstream.
    - debian/patches/006_version_000: Likewise.
    - debian/patches/008_sun_repeat_000: Likewise.
    - debian/patches/030_segfault: Likewise.
    - debian/patches/001_missing_V_option.patch: Refresh.
    - debian/patches/002_force_repeat_000: Likewise.
    - debian/patches/005_types_000: Likewise.
    - debian/patches/007_doc_fix_000: Likewise.
    - debian/patches/010_ps2_rework.patch: Likewise.
    - debian/patches/013_xterm_mouse_support_000: Likewise.
    - debian/patches/015_libgpm_noverbose.patch: Likewise.
    - debian/patches/030_daemon_quit: Likewise.
    - debian/patches/040_no_OPEN_MAX.patch: Likewise.
    - debian/patches/050_dont_link_libcurses: Likewise.
    - debian/rules: Fix Changelog to Changes in dh_installchangelogs call.
    - Properly cleanup on 'make clean', fixes building twice in a row.
      (Closes: 479345)
    - Support default gpm handlers again. (Closes: #472062)
    - Do not log 'Connecting' and 'Request' messages on syslog.
      (Closes: #474516)
  * Debian broke ABI compatibility with upstream long time ago, the patch
    got merged upstream recently but the new field was added in a different
    place in the structure. With the new 1.20.3~pre3 release Debian had
    to be either incompatible with previous Debian gpm versions or with
    upstream again, but quite helpfully upstream bumped the SONAME.
    (Closes: #412927, #470882, #473496, #476431)
    - Add a new libgpm2 and libgpm-dev packages.
    - Remove the libgpmg1 package.
    - Make the libgpmg1-dev a dummy package to ease the transition.
    - Remove old Conflicts and Replaces on libgpm1.
    - Bump libgpm shlibs dependency to 1.20.4.
  * Switch to use dh_lintian instead of manually installing the overrides.
    Bump the versioned debhelper Build-Depends to 6.0.7.
  * Remove now unused gpm lintian overrides, and add one for libgpmg1-dev.
  * Fix parallel FTBFS in debian/rules by moving 'patch' dependency from
    the build to a new pre-patch target that serializes configuration.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.

  [ Peter Samuelson ]
  * New debconf translations:
    - Italian, thanks David Paleino.  (Closes: #483916)

 -- Guillem Jover <guillem@debian.org>  Wed, 11 Jun 2008 09:30:31 +0300

gpm (1.20.3~pre3-3) unstable; urgency=low

  * Ship without a 'configure.tmp' file.  For one thing it triggers an
    autoconf bug.  (Closes: #468465)

 -- Peter Samuelson <peter@p12n.org>  Sat, 08 Mar 2008 20:09:46 -0600

gpm (1.20.3~pre3-2) unstable; urgency=low

  * Do not print logging messages on the console.
    - debian/patches/001_logging.patch: New file.
    (Closes: #466764, #466426, #466468, #466764, #467006, #467101)
  * Do not print debug message on each Gpm_Open.
    - debian/patches/001_logging.patch: Update.
  * Reintroduce the PS/2 rework patch (this time a working version) to fix the
    lockups when starting applications using libgpm.
    - debian/patches/010_ps2_rework.patch: New file.
    - debian/patches/010_ps2_compat: Remove.
  * Remove patch which had been merged upstream:
    - debian/patches/004_priv_elevation_000
  * Make gpm recognize -V for backwards compatibility, although it's now a
    no-op. (Closes: #466522)
    - debian/patches/001_missing_V_option.patch: New file.
  * Updated copyright years for Nico Schottelius in debian/copyright.
  * Updated patches:
    - debian/patches/001_missing_V_option.patch: Refresh.
    - debian/patches/005_types_000: Likewise.
    - debian/patches/008_sun_repeat_000: Likewise.
    - debian/patches/015_libgpm_noverbose.patch: Likewise.
    - debian/patches/030_segfault: Likewise.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Feb 2008 06:59:37 +0200

gpm (1.20.3~pre3-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream version. (Closes: #191928, #147462, #160007, #225007)
    A big thanks to Joshua Kwan for rediffing all the patches:
    - Remove patches obsoleted by new release:
      001_logging_000: superseded upstream
      003_wheel_000, 012_dec_vs_xxx_aa_000: applied upstream
    - Combine 010_ps2_rework_* patches into one, 010_ps2_rework
  * Switch to quilt patch system.

  [ Guillem Jover ]
  * Backport rediffed patches by Joshua Kwan from experimental branch:
    - debian/patches/002_force_repeat_000: Sync.
    - debian/patches/004_priv_elevation_000: Likewise.
    - debian/patches/005_types_000: Likewise.
    - debian/patches/006_version_000: Likewise.
    - debian/patches/013_xterm_mouse_support_000: Likewise.
    - debian/patches/008_sun_repeat_000: Likewise.
  * Update patches for new upstream version.
    - debian/patches/040_gcc-3.4_fix_000: Remove, superseded upstream.
    - debian/patches/010_ps2_rework: Likewise.
    - debian/patches/010_ps2_compat: New file.
    - debian/patches/007_doc_fix_000: Sync.
    - debian/patches/007_doc_fix_001: Likewise.
    - debian/patches/007_doc_fix_FAQ: Likewise.
    - debian/patches/010_ps2_rework: Likewise.
    - debian/patches/014_has_mouse_control.patch: Likewise.
    - debian/patches/015_libgpm_noverbose.patch: Likewise.
    - debian/patches/030_fd_set_negative_int.patch: Likewise.
    - debian/patches/030_segfault: Likewise.
    - debian/patches/050_dont_link_libcurses: Likewise.
  * Switch Build-Depends from tetex-bin to texlive-base, and add texi2html.
  * Switch to use debhelper scripts instead of manually installing files,
    manpages, docs, info, examples and links:
    - Remove unused INSTALL_PROGRAM, INSTALL_SCRIPT and SOMINOR variables.
    - Remove targets binary-gpm, binary-libgpmg1, binary-libgpmg1-dev,
      binary-gpm-real, binary-libgpmg1-real and binary-libgpmg1-dev-real.
    - Make binary-arch depend only on build.
  * Use --print-architecture, instead of --print-installation-architecture
    for dpkg in gpm.config.
  * Debconf templates and package descriptions reviewed by the
    debian-l10n-english team as part of the Smith review project.
    (Closes: #430689, #431759)
    Thanks to Christian Perrier <bubulle@debian.org> for coordinating.
  * Use binary:Version substvar instead of deprecated Source-Version.
  * Remove deprecated gpmconfig.
    - It cannot leave things in a bad state anymore. (Closes: #61466)
    - No point in advertising configure-debian either. (Closes: #290679)
  * Remove debian/vars detritus from quilt switch.
  * Update debian/watch and debian/copyrigth to the new upstream URL.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add Homepage field.
  * Do not use OPEN_MAX anymore as it has been removed from <linux/limits.h>.
    (Closes: #455427)
    - debian/patches/040_no_OPEN_MAX.patch: New file.
  * Do not ignore make errors in 'debian/rules clean'.
  * Add a proper NAME section to gpm-types.8.
    - debian/patches/007_doc_fix_000: Update.
  * Update debian/copyright with new upsream copyright dates.
  * Demote message when the daemon is killed to debugging output.
    - debian/patches/030_daemon_quit: New file.
  * Bump libgpm shlibs dependency to 1.20.0.

  [ Updated debconf translations ]
  * Arabic (Ossama Khayat). (Closes: #431980)
  * Basque (Piarres Beobide). (Closes: #431546)
  * Belarussian (Andrei Darashenka). (Closes: #447108)
  * Brazilian Portuguese (Herbert P Fortes Neto). (Closes: #433140)
  * Czech (Jan Outrata). (Closes: #431188)
  * Finnish (Esko Arajärvi). (Closes: #446944)
  * Galician (Jacobo Tarrio). (Closes: #431323)
  * German (Helge Kreutzmann). (Closes: #431758)
  * Portugese (Rui Branco). (Closes: #431159)
  * Russian (Yuri Kozlov). (Closes: #432214)
  * Spanish (Steve Lord Flaubert). (Closes: #433242)
  * Swedish (Daniel Nylander). (Closes: #433367)
  * Vietnamese (Clytie Siddall). (Closes: #431279)

  [ New debconf translations ]
  * Belarussian (Pavel Piatruk). (Closes: #447108)
  * Finnish (Esko Arajärvi). (Closes: #446944)
  * Slovak (Ivan Masár).  (Closes: #440711)

 -- Guillem Jover <guillem@debian.org>  Mon, 18 Feb 2008 02:13:08 +0200

gpm (1.19.6-25) unstable; urgency=low

  * New debconf translations:
    - Spanish, from Steve Lord Flaubert. (Closes: #408570)

 -- Guillem Jover <guillem@debian.org>  Wed,  7 Mar 2007 02:28:31 +0200

gpm (1.19.6-24) unstable; urgency=low

  * New debconf translations:
    - Portuguese, from Rui Branco  (Closes: #399397)
    - Russian, from Yuri Kozlov  (Closes: #405642)

 -- Peter Samuelson <peter@p12n.org>  Fri,  5 Jan 2007 05:46:52 -0600

gpm (1.19.6-23) unstable; urgency=low

  [ Guillem Jover ]
  * Add gpmdoc.txt and gpmdoc.ps to the gpm package, this should be split
    into a gpm-doc package later on probably. (Closes: #393715)
  * LSB init script support:
    - Add an LSB description header.
    - Use LSB output functions, thus add lsb-base to gpm's Depends.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Fixed the header and some bogus multi-byte sequences in the Dutch
    translation, and unfuzzy due to some typo fixes in the original template.

  [ Peter Samuelson ]
  * Remove a double space in the debconf template. Unfuzzy all translations.
  * Added Galician debconf translation. (Closes: #361819)
    Thanks to Jacobo Tarrio <jtarrio@trasno.net>.
  * Added Dutch debconf translation. (Closes: #364403)
    Thanks to Esther Hanko <ehanko@xs4all.nl>.
  * Update German debconf translations. (Closes: #384498)
    Thanks to Jens Seidel <jensseidel@users.sf.net>.

 -- Guillem Jover <guillem@debian.org>  Thu, 16 Nov 2006 07:16:21 +0200

gpm (1.19.6-22) unstable; urgency=low

  [ Guillem Jover ]
  * Updated Vietnamese translation. (Closes: #323949)
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Switched to debhelper compat level 5.
  * Wrap lines in debian/control fields.
  * Document the arguments for Gpm_Event in the info file. (Closes: #350968)
    Thanks to James R. Van Zandt <jrvz@comcast.net>.
  * Update FSF's address.

  [ Peter Samuelson ]
  * Added Swedish translation. (Closes: #338781)
    Thanks to Daniel Nylander <yeager@lidkoping.net>.

 -- Guillem Jover <guillem@debian.org>  Mon, 20 Feb 2006 09:58:55 +0200

gpm (1.19.6-21) unstable; urgency=low

  [ Guillem Jover ]
  * Added Brazilian Portuguese translation. (Closes: #306034)
    Thanks to Rodrigo Tadeu Claro <rlinux@cipsga.org.br> and
    Gustavo Noronha Silva <kov@debian.org>.
  * Added Vietnamese translation. (Closes: #311877)
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Added Arabic translation. (Closes: #320765)
    Thanks to Mohammed Adnène Trojette <adn+deb@diwi.org>.
  * Update watch file to version 3 (no changes needed).
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Fix a typo in gpmconfig.8.
  * Add a gpm binary lintian override for gpm-microtouch-setup having
    an embedded Tcl/Tk correct syntax in a shell script.
  * Switch to the external dbs package.

  [ Peter Samuelson ]
  * Relabel "Twidddler" as "Handykey Twiddler" everywhere.
    For years I figured it was a cute marketing name.  Nope, just a typo.
  * gpm.config: if gpm.conf specifies at least 'type' and 'device', use it
    to preseed all fields; otherwise don't use it at all.  Previously we
    preseeded only non-empty values, which breaks if a gpm.conf value
    (such as repeat_type) is empty intentionally.  (Closes: #307638)
  * gpm.config: default to /dev/input/mice and no repeater, for 2.6 kernels.
    The repeater is pointless when you have the input layer.

 -- Guillem Jover <guillem@debian.org>  Mon,  8 Aug 2005 04:13:10 +0300

gpm (1.19.6-20) unstable; urgency=low

  [ Peter Samuelson ]
  * Added German debconf translation.  (Closes: #278989)
    Thanks to Jens Nachtigall <nachtigall@web.de>.
  * Use weak symbols to link libgpm without curses without losing
    functionality.  While we're at it, get rid of the build-dep as well.
    (Closes: #274673)
  * Write a gpm.conf(5) manpage.  (Closes: #288606)
  * gpm.config: mark debconf questions as 'seen' if gpm.conf already
    exists.  (Closes: #289049)
  * debian/scripts/{lib,source.unpack}: tweak to make them work in the
    presence of .svn directories.  Obviously not for releases, but very
    useful for test builds.
  * debian/gpm.init: hack for kernel 2.6 asynchronous module loading.
    A hotplug script would be the right solution, but that's a major
    headache, not least because we can't rely on hotplug being functional.
    (Closes: #298197)
  * debian/rules: add a 'checkpo' target. Thanks Alexis Sukrieh.
  * debian/gpm.config, debian/gpm.templates: remove the "remember the
    restart setting?" question.  I honestly don't know what we were
    thinking.  "Of course remember the setting, otherwise I can run
    dpkg-reconfigure on it!"  (See #289165 - but this doesn't close it.)

  [ Guillem Jover ]
  * Fixed warnings and escaped an hyphen on gpm.conf(5) manpage.
  * Enabled header on gpmconfig(8).
  * Added gpm-types(7). (Closes: #284160)
  * Added Catalan debconf translation.
  * Added missing ending quotes in the embedded dbs.
  * Added devfs support to gpm_has_mouse_control. (Closes: #139630)
  * debian/copyright:
    - Added the Subversion repo URL used for the package.
    - Remove Joshua Kwan from the Team list as he left some time ago.
  * Use debconf-updatepo in debian/rules (checkpo) instead of msgmerge
    and fix output format.

 -- Guillem Jover <guillem@debian.org>  Sun, 17 Apr 2005 10:20:16 +0300

gpm (1.19.6-19) unstable; urgency=high

  [ Guillem Jover ]
  * Enable curses again for now. (Closes: #276770)

 -- Guillem Jover <guillem@debian.org>  Sat, 16 Oct 2004 19:18:43 +0200

gpm (1.19.6-18) unstable; urgency=low

  [ Joshua Kwan ]
  * remove myself from Uploaders, I won't be active on as much stuff due
    to impending school year.

  [ Guillem Jover ]
  * Fix typo in gpmconfig legacy notice. (Closes: #268573)
    Thanks Javier Fernández-Sanguino Peña <jfs@computer.org>.
  * Added French debconf translation. (Closes: #268111)
    Thanks to Christian Perrier <bubulle@debian.org>.
  * Reintroduce conditional gpm_has_mouse_control use in postinst.
  * Make gpm responsive again on some notebooks by start and stopping
    on apm resume/suspend cycles. (Closes: #273501, #105842)
  * Make libgpm less verbose to not print error messages when the
    required devices cannot be opened. (Closes: #139533, #168116)
  * Merged patches:
    - debian/patches/011_debuglog_fix_000: Moved into ...
    - debina/patches/001_logging_000: ... here.
  * Removed unneeded Build-Depends on libncurses5-dev.

  [ Peter Samuelson ]
  * Add lintian source overrides for prerm/postrm not having debhelper
    hooks.  Unfortunately, dh_installinit does the wrong thing there.
  * postinst: 'test -e' fails for dangling symlink, use 'test -h' as well.
    (Closes: #268766)
  * Added Czech debconf translation.  (Closes: #275336)
    Thanks to Jan Outrata <outrataj@upcase.inf.upol.cz>
  * Configure --without-curses.  Apparently nobody uses libgpm curses
    support.  This made it awkward for ncurses to be compiled with libgpm
    support, which is apparently much more useful.  (Closes: #274673)

 -- Guillem Jover <guillem@debian.org>  Fri, 15 Oct 2004 07:45:42 +0200

gpm (1.19.6-17) unstable; urgency=medium

  [ Peter Samuelson ]
  * Add po/da.po from Claus Hindsgaul. (Closes: #267549)
  * Fix shell quoting on 'append'.  It would be ugly to do it as it was
    done before, AFAICT, but the new version should work like the old one,
    at least.  (Closes: #267478)
  * Fix init script bug which has been present since hamm:
    the append= in gpm.conf uses a quoted string of args which themselves
    might be quoted and need to be unquoted.  "eval" does this.  The
    practical effect is that systems installed from hamm or slink will no
    longer consider " to be a word character.  It was never intended to be
    one, but has been for 6 years.

 -- Guillem Jover <guillem@debian.org>  Thu, 26 Aug 2004 04:58:36 +0200

gpm (1.19.6-16) unstable; urgency=medium

  [ Guillem Jover ]
  * Move ucf from Build-Depends to gpm Depends.

 -- Guillem Jover <guillem@debian.org>  Fri, 20 Aug 2004 18:42:59 +0200

gpm (1.19.6-15) unstable; urgency=medium

  [ Peter Samuelson ]
  * gpm.config: Fix (harmless) warning if gpm.conf doesn't exist.
  * gpm.postrm: move debhelper stuff to the beginning of the script.
    Seems to work around debconf weirdness that causes an error exit.
    (Closes: #266942)
  * gpm.init: make "repeat_type=none" do what the debconf template
    says it does.  Thanks to Gian Piero Carrubba.  (Closes: #266841)
  * gpm.prerm: rewrite stop_gpm() to fix 3 bugs and improve readability:
    - space after \ line continuation char
    - 'gpm -x' should be 'gpm -k'
    - return success, not failure, if the daemon wasn't running
    (Closes: #266937)
  * gpm.postinst: only set up /dev/mouse if it doesn't already exist.
    It should not ever be needed anyway, and breaks the occasional
    config.  Also teach it about repeat_type=none and multi-level
    device names like /dev/input/mice.  (Closes: #266983)
  * gpm.init: minor UI issues:
    - print newlines after errors on start / stop targets
    - if stop failed on restart, do not bother to 'sleep 3'
    - propagate start failure on restart
  * gpm.templates: Reword gpm/restart so as not to imply that the user
    *is* necessarily in X.  We actually do not know this at the time.

  [ Guillem Jover ]
  * Switched to ucf, so no more user configuration changes trashed on
    update. (Closes: #266822)
  * Removed debconf question about fixing an old bogus gpm.conf file
    generated with gpmconfig.

  [ Joshua Kwan ]
  * Add Peter Samuelson to uploaders.
  * Remove unused 'read' patch, and 'sources' file.
  * Make the long descriptions a little clearer.
  * Handle case where ucf is not available in the postrm by testing for its
    existence first.

 -- Guillem Jover <guillem@debian.org>  Fri, 20 Aug 2004 10:23:05 +0200

gpm (1.19.6-14) unstable; urgency=low

  * New maintainer team.

  [ Joshua Kwan ]
  * Change Section for libgpmg1-dev to libdevel.
  * Removed unused Build-Depends on automake and libtool. (Closes: #177175)
  * Reworded the debconf template for clarity.

  [ Guillem Jover]
  * Fixed build failure due to mismatched parentheses on documentation.
    - debian/patches/007_doc_fix_000: Added fix. (Closes: #259485)
      Thanks to Matt Kraai <kraai@ftbfs.org>.
  * Fixed segfault when trying to FD_SET gpm_fd with a negative number.
    - debian/patches/030_fd_set_negative_int.patch: New file. (Closes: #104143)
  * Fixed build failure when /bin/sh != /bin/bash.
    (Closes: #195176, #213825, #264287)
    Thanks to Matthew Bell <m.bell@bvrh.co.uk>.
  * Fixed build failure when using gcc-3.4. (Closes: #258749)
    Thanks to Andreas Jochens <aj@andaco.de>.
  * Fixed wrong use of hyhpens on gpmconfig manpage.
  * Added debconf support. (Closes: #37331, #48459, #129070, #218526)
    - As a side effect preserve restart value across upgrades. (Closes: #66877)
    - Deprecate gpmconfig. (Closes: #148921, #134747)
    Thanks to Kevin Turner <kevin@freegeek.org> for the main part
    and Sean Finney <seanius@seanius.net> for some details.
  * Remove config file on purge. (Closes: #57023, #117900)
    Thanks to Josip Rodin <joy@cibalia.gkvk.hr>.
  * Fixed documentation having additional spaces after -A and -V options.
    (Closes: #60841, #61998)
    Thanks to Robert Woodcock <rcw@debian.org>.
  * Fixed a spelling error in the info documentation. (Closes: #63779)
  * Fixed missleading -t option information in the documentation.
    (Closes: #196879)
  * Removed references to non-existent man pages. (Closes: #133653)
  * Clarify the -r option usage in the info documentation. (Closes: #170886)
    Thanks to Peter Jay Salzman <p@dirac.org>.
  * Do not list /etc/init.d/gpm twice as a conffile.
    - debian/conffiles: Remove redundant file. (Closes: #133654)
  * Use debhelper compatibility version 4.
  * Include missing documentation. (Closes: #121657, #234624)
  * Give error message when gpm fails to start or stop from init and proper
    exit code. (Closes: #72337, #170339)
    Thanks to Yotam Rubin <yotamr@bezeqint.net>.
  * Removed GNU awk extensions so now Build-Depends on "awk | mawk".
    (Closes: #154535)
    Thanks to Alexander Viro <viro@math.psu.edu>.
  * Use invoke-rc.d instead of directly calling the init script.
    (Closes: #185053)
  * Change Priority for libgpmg1 to standard.
  * Use sensible-pager instead of more in gpmconfig. (Closes: #98051)
  * Add niceness config variable. (Closes: #121481)
    Thanks to Chip Salzenberg <chip@debian.org>
  * Reworded note about restarting gpm while using X. (Closes: #70835)
  * Allow two mouse sources on the config file. (Closes: #129812, #142911)
    Thanks to Derrick Hudson <dman@dman.ddts.net>.
  * Add emacs support as an example. (Closes: #43691, #56350)
  * Remove leftover /etc/gpm-root.conf from an old release. (Closes: #122210)
  * Fix compilation warning on gpm_has_mouse_control.c.
  * Cleaned debian/rules.
    - Do not use dh_undocumented anymore.
  * Cleaned debian/copyright.
  * Added a watch file.
  * Improve a bit package descriptions.
  * Reinclude mev binary, supposedly lost while removing gpm-root.
  * Converted debian/changelog and debian/copyright to UTF-8.
  * Use dh_md5sums.
  * Do not create /usr/doc symlink.
  * Fixed gpm-mouse-test section so it matches the path where it's installed.
  * Honour DEB_BUILD_OPTIONS.
  * Make libgpmg1-dev depend on the virtual package libc-dev as well.
  * Now using Standards-Version 3.6.1.

  [ Peter Samuelson ]
  * Reorder and reword the debconf help screen for mouse types.
    Now it's ordered by general mouse type and roughly by popularity.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Aug 2004 11:44:54 +0200

gpm (1.19.6-12.1) unstable; urgency=low

  * Non-maintainer upload
  * fix dereference of null pointer in src/liblow.c
    (new patch 030_segfault) (closes: #142743)

 -- Bastian Blank <waldi@debian.org>  Tue, 11 Feb 2003 19:51:06 +0100

gpm (1.19.6-12) unstable; urgency=critical

  * The simple fix release.
  * Only read back as many bytes as we expect during the ps2 init.
    (Should fix the bug seen by Filip Van Raemdonck)

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 22 Mar 2002 19:45:31 -0500

gpm (1.19.6-11) unstable; urgency=critical

  * The fucked up system release. (Fuck off Long, it is justified.)
  * Include a strace option for the init.d script to run gpm under
    strace to get debugging information in /root/gpm.{strace|out}.
  * Ignore errors in the fuimps2 init.
  * Change the timeout from 1 second to 5 seconds before we kill
    ourselves.
  * Give more debugging information about why a write failed in the
    PS/2 init.
  * Use $GPM in all cases in the init.d script. (closes: #135340)

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 18 Mar 2002 19:10:17 -0500

gpm (1.19.6-10) unstable; urgency=critical

  * The fuck it all to hell release.
  * Change the priority from standard to optional.
  * Drop the non-blocking IO, just kill ourselves if in the init sequence a
    read or write takes more then 1 second.
    (closes: #129063, #129471, #130133, #130275, #131648, #128780, #121206)
  * Move gpm_has_mouse_control to /usr/lib/gpm. (closes: #87096)
  * Default to not restarting gpm when X has control during upgrade.
    (closes: #129757)
  * Change the init sequence more. Kernels are BROKEN.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 21 Feb 2002 20:40:49 -0500

gpm (1.19.6-9) unstable; urgency=critical

  * Retry writes and reads in the PS/2 init if the first time fails.
    (closes: #128715)

 -- Zephaniah E. Hull <warp@debian.org>  Sun, 13 Jan 2002 08:57:07 -0500

gpm (1.19.6-8) unstable; urgency=critical

  * Add another sleep to the PS/2 init write sequence.
    (closes: #128715)
  * Redo all of the diffs to apply cleanly without any fuzz.
    (closes: #128811)

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 11 Jan 2002 17:20:57 -0500

gpm (1.19.6-7) unstable; urgency=critical

  * Hopefully work around the problem with non-existant ps/2 mice making
    the keyboard go away. (closes: #113454, #114407)
  * fups2 protocol added, does no init, for the really broken mice.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 10 Jan 2002 04:18:35 -0500

gpm (1.19.6-6) unstable; urgency=high

  * Fix buttons with multiple mice.
    Thanks to Federico Heinz for spotting my error.
    (closes: #120780, #122245, #122157)

 -- Zephaniah E. Hull <warp@debian.org>  Wed,  9 Jan 2002 16:57:54 -0500

gpm (1.19.6-5) unstable; urgency=low

  * Changed the PS/2 init function a bit.
    Some thanks to James Vandenberg. (closes: #120740, #120742)

 -- Zephaniah E. Hull <warp@debian.org>  Sat, 24 Nov 2001 14:26:52 -0500

gpm (1.19.6-4) unstable; urgency=low

  * Grr, changed the write_ps2 function to be more, tolorant, of
    really really broken mice which reply with 2 ACKs instead of 1 for
    setting sample rate. (closes: #120581, #120701)

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 23 Nov 2001 05:33:22 -0500

gpm (1.19.6-3) unstable; urgency=low

  * Added bison, libncurses5-dev, tetex-bin, and texinfo to the
    build-depends. (closes: #120687)
  * On alpha use /dev/psaux instead of /dev/psmouse by default.
    (closes: #63181)
  * Better detection of if this is an xterm with mouse support or the
    like. (Specificly for things like rxvt and other non-xterms with
    the same support.) (Patch by Oskar Liljeblad) (closes: #56514)

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 22 Nov 2001 19:47:23 -0500

gpm (1.19.6-2) unstable; urgency=low

  * Oops, broke imps2, fixed. (closes: #120581, #120584, #120635)
  * Include support for autops2 protocol, which autodetects which ps/2
    protocol your mouse speaks, this is now the new default.
  * Added bzip2 and gawk to the build-depends. (closes: #120582, #120594)
  * Added support for the vsxxxaa serial mouse used on the DEC.
    (Thanks to Karsten Merker.)

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 22 Nov 2001 14:26:35 -0500

gpm (1.19.6-1) unstable; urgency=low

  * New upstream version. (closes: #113967, #67372)
  * This adds a few new protocls and changes some existing ones.
  * Removed gpm-root entirely. (closes: #102031, #51671)
  * Only call vsyslog once from gpm_debug_log.
    (closes: #85551, #110112, #112235)

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 21 Nov 2001 07:44:28 -0500

gpm (1.19.3-7) unstable; urgency=low

  * Fixed the build depends. (closes: #88373)

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 23 Mar 2001 08:35:16 -0500

gpm (1.19.3-6) unstable; urgency=high

  * Oops, gpmconfig is fixed now. (closes: #87718, #88442)
  * Delayed slightly due to a broken bison package.

 -- Zephaniah E. Hull <warp@debian.org>  Sun,  4 Mar 2001 05:32:12 -0500

gpm (1.19.3-5) unstable; urgency=high

  * The libc5 packages are /GONE/!
  * 010_compile_000: s/OPEN_MAX/FOPEN_MAX/. (closes: #85422, #79217, #80180)
  * 011_sun_repeat_000: Added sun repeat support from BenC. (closes: #70699)
  * 012_fups2_fuimps2_000: Support for BROKEN ps2 and ps2 wheel mice.
    (closes: #78862, #80181, #56364, #70653, #72484)
  * 013_tmpfile_000: Fixed a (not very important) race with tmpfile
    creation. (closes: #82774)
  * Changed the wording of the warning about -R in gpmconfig and the
    init script. (closes: #72338)

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 22 Feb 2001 18:21:24 -0500

gpm (1.19.3-4) unstable; urgency=medium

  * The broken ps2 machine release.
  * Documentation fix, usage message was incorrect for -R.
  * Because of many broken systems which can't handle the PS/2 reset
    code we no longer attempt to fully reset PS/2 mice. (closes: #70732,
    #70807, #70625, #70874, #71752)
  * Synced with the NMU stuff a while back. (closes: #63649)
  * Updated email address in control file.

 -- Zephaniah E. Hull <warp@debian.org>  Sat, 16 Sep 2000 08:34:29 -0400

gpm (1.19.3-3) unstable; urgency=medium

  * The ps2 protocol release.
  * We now init the mouse in the ps2 protocol, managing to even reset
    it from the IntelliMouse protocol back to the standard ps2
    protocol. (closes: #70004)
  * Note that this means that we can finally use -s to set the sample
    rate.

 -- Zephaniah E. Hull <warp@debian.org>  Tue, 29 Aug 2000 22:27:18 -0400

gpm (1.19.3-2) unstable; urgency=low

  * The brown paper bag release.
  * Oops, I based the 1.19.3-1 release off of a older gpm package
    instead of current, a few things wrong, oops.

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 23 Aug 2000 17:14:33 -0400

gpm (1.19.3-1) unstable; urgency=low

  * New upstream version.
  * Readded comment to the init script.

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 23 Aug 2000 17:14:33 -0400

gpm (1.17.8-18) unstable frozen; urgency=high
  * Note to release manager, the RC bug for the below X fix has not been
    filed, however it does fix what is in my view a RC bug..
  * Check to see if we are running under X in a different way.

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 30 Jun 2000 18:42:54 -0400

gpm (1.17.8-17) unstable frozen; urgency=high

  * Note to release manager, this fixes a RC bug, and /many/ non RC
    bugs, so should probably go into potato for the next test cycle..
  * Removed the call to gpm-mouse-test in gpmconfig.
    (closes: #65962, #36491, #23660, #25856, #36490)
  * For testing cmdline there is no space after -R, just like the init
    script..
  * Corrected start/stop/restart calls in gpmconfig. (closes: #50770)
  * Changed the default append line..
  * Fixed the section for the gpm info file.. (closes: #57680)
  * If installing or upgrading under X ask before restarting.
    (closes: #59793, #46307, #49624, #54771, #61143, #64932)
  * Remove check for display in the init script, as that case is
    covered by the above change.

 -- Zephaniah E. Hull <warp@debian.org>  Tue, 27 Jun 2000 17:04:08 -0400

gpm (1.17.8-16.1) unstable frozen; urgency=high

  * Non Maintainer Upload

  * Add patch from BTS to fix getting kernel commandline on clean install
    (closes: #63649)

 -- Stephen R. Gore <sgore@debian.org>  Sat, 27 May 2000 14:52:00 -0500

gpm (1.17.8-16) unstable frozen; urgency=high

  * Fix the shlibs to be current version as I don't know what the first
    glibc2.1 version was, this is not perfect, but it should work.
    (RC bug not yet filed)
  * Add patch Colin Phipps to fix privlage elevation (closes: #58081)

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 20 Mar 2000 07:07:25 -0500

gpm (1.17.8-15) unstable frozen; urgency=high

  * Whoops, upload to frozen as well as unstable..

 -- Zephaniah E. Hull <warp@debian.org>  Sat,  4 Mar 2000 16:36:55 -0500

gpm (1.17.8-14) unstable; urgency=high

  * Changed 'Recommends: gpm | xserver' to 'Suggests: gpm' for ruud.
    (closes: #59453)
  * Patch from rcw to allow gpmconfig to enable the repeater if the
    repeat line does not exist (closes: #57850)
  * NOTE: This leaves a problem which I considder RC sitting here,
    I'll get that stuff done ASAP..

 -- Zephaniah E. Hull <warp@debian.org>  Wed,  1 Mar 2000 02:26:51 -0500

gpm (1.17.8-13) unstable; urgency=medium

  * Fixed the init script dealing with repeating..
  * Peered at the priority a bit..

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 14 Jan 2000 07:59:47 -0500

gpm (1.17.8-12) unstable; urgency=medium

  * Default mouse type for i386 is now ps2, and the device /dev/psaux
    (Closes: #51129)
  * Moved the gpm-mouse-test manpage to section 8. (Closes: #51241)
  * Default mouse dev for sparc is now /dev/sunmouse.
  * Fix missing space in init script for repeating. (Closes: #54159)
  * Updated policy version to 3.1.1.1.
  * Removed several unused scripts..

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 10 Jan 2000 01:27:02 -0500

gpm (1.17.8-11) unstable; urgency=medium

  * Removed sparc from arches to build for the libc5 compat libs, for
    real this time... (closes: #50554)

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 18 Nov 1999 19:22:42 -0500

gpm (1.17.8-10) unstable; urgency=medium

  * Changed the message in the init script for when $DISPLAY is set..
    (Thanks to overfiend)
  * Included the readlink from netscape-base-4 as gpm_readlink..
  * Errrk, fixed the init script dealing with repeating..
  * Removed sparc from arches to build for the libc5 compat libs..
    (closes: #50127)
  * Erm, don't transpose the wheel movements for repeating.. *blush*
  * Uploading with a lot of unused stuff, will be using them next
    version, but this has a few big bugs squashed...

 -- Zephaniah E. Hull <warp@whitestar.soark.net>  Mon, 15 Nov 1999 06:06:05 -0500

gpm (1.17.8-9) unstable; urgency=low

  * Split up the patches even more, will hopefully submit things upstream RSN.
  * Tweaked the build scripts a little bit..
  * Turned off verbose mode for debhelper..

 -- Zephaniah E. Hull <warp@whitestar.soark.net>  Sat,  6 Nov 1999 06:28:00 -0500

gpm (1.17.8-8) unstable; urgency=low

  * Reworked the packaging a bit more, to use doogie's dbs system..
  * Slightly tweaked the maintainer field..
  * Fixed gpmconfig so you can turn repeating off.. (closes: #48879)

 -- Zephaniah E. Hull <warp@whitestar.soark.net>  Fri,  5 Nov 1999 01:24:31 -0500

gpm (1.17.8-7) unstable; urgency=low

  * Reworked the packaging, now uses debhelper and is FHS complient.
    (closes: #42552)
  * Changed how we kill gpm in the init.d script.
  * Don't start gpm under X unless we are repeating to X.
  * Don't kill gpm in prerm if we are upgrading, but do if the upgrade fails
    (closes: #36117)
  * Applied patch from Alexander Viro.. (closes: #46061)
  * Changed type of summaid in mice.c to signed short from char.
    (closes: #39455)
  * Corrected typo in documentation.. (closes: #41637)
  * Included rmev.. (closes: #42168, #34559)

 -- "Zephaniah E. Hull" <warp@whitestar.soark.net>  Tue, 28 Sep 1999 18:44:41 -0400

gpm (1.17.8-6) unstable; urgency=low

  * Whoops, messed up on the wheel detection for the imps2 and ms3
    protocols..

 -- "Zephaniah E. Hull" <warp@whitestar.soark.net>  Mon, 26 Jul 1999 03:17:11 -0400

gpm (1.17.8-5) unstable; urgency=low

  * Added a 5 second delay between stopping and starting gpm in the
    restart case..

 -- "Zephaniah E. Hull" <warp@whitestar.soark.net>  Tue, 29 Jun 1999 15:22:04 -0400

gpm (1.17.8-4) unstable; urgency=low

  * Changed the 'Error in protocol' from ERR to DEBUG..

 -- "Zephaniah E. Hull" <warp@whitestar.soark.net>  Fri, 25 Jun 1999 13:47:23 -0400

gpm (1.17.8-3) unstable; urgency=medium

  * Changed the Architecture: field in the control files from 'any' to
    'i386 m68k sparc' (closes: 39292)

 -- "Zephaniah E. Hull" <warp@whitestar.soark.net>  Thu, 10 Jun 1999 15:02:42 -0400

gpm (1.17.8-2) unstable; urgency=medium

  * Doh! Actually changed the maintainer entry in the control file..

 -- "Zephaniah E. Hull" <warp@whitestar.soark.net>  Fri,  4 Jun 1999 18:21:23 -0400

gpm (1.17.8-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Fixed a few compiler warnings, will fix more later..
  * Turned off mouse movement clustering, helps for me...
  * Added -e option, directs logging to stderr instead of syslog...
  * Added -f option, forces repeat mode to always be on..
  * Added wheel support, note that the wheel is only repeated currently:
    o Added new repeater type, ms3, includes wheel data!!
    o Added wheel parsing stuff to ms3 type. (IntelliMouse SERIAL)
    o Added new type, xmiabps2, for the Kensington Mouse-in-a-box in ps2
      mode, note that this mouse acts like a IntelliMouse in serial mode
      (the ms3 type)
    o Separated the imps2 parser from the ps2 parser, and added wheel
      parsing to it..

 -- "Zephaniah E. Hull" <warp@whitestar.soark.net>  Sun, 03 Jan 1999 09:07:00 -0400

gpm (1.17.6-1) unstable; urgency=low

  * New upstream version.
  * debian/rules (binary-gpm): install microtouch-setup.
  * debian/gpmconfig: fix usage of more so that the list of mouse types is
    actually piped through more.

 -- James Troup <james@nocrew.org>  Wed,  7 Apr 1999 20:37:18 +0100

gpm (1.17.5-1) unstable; urgency=low

  * New upstream version.
  * debian/control (gpm): recommend xserver not xbase. [#32855]

 -- James Troup <james@nocrew.org>  Sun, 21 Feb 1999 02:36:42 +0000

gpm (1.17.4-1) unstable; urgency=low

  * New upstream version.

 -- James Troup <james@nocrew.org>  Sun, 14 Feb 1999 16:01:01 +0000

gpm (1.17.3-1) unstable; urgency=low

  * New upstream version.
  * debian/rules (build): seperate build into two parts of library and
    program, so I can pass -DREENTRANT to both the shared and static
    library and not compile the programs with it.  Thanks to Ian T
    Zimmerman (itz@rahul.net) who noticed that the static library wasn't
    being compiled with -DREENTRANT.
  * debian/rules (build-libc5): use CFLAGS to pass -DREENTRANT as per
    previous change.
  * debuglog.c: #include <string.h> to quiet -Wall.

 -- James Troup <james@nocrew.org>  Thu, 11 Feb 1999 20:52:41 +0000

gpm (1.16.0-3) unstable; urgency=medium

  * debian/rules (binary-gpm): install all the info files.  Thanks to
    Kalle Olavi Niemitalo <tosi@ees2.oulu.fi> for noticing the missing
    files.  [#32268]
  * debian/rc (PIDFILE): change the name of the pidfile.  Noticed by
    Neophyte <neo@sitek.windoms.net>. [#32317]
  * debian/gpmconfig (PIDFILE): new variable, correct name of pidfile.
  * debian/gpmconfig: use it.
  * debian/prerm: run start-stop-daemon with both the new and the old
    pidfile name.

 -- James Troup <james@nocrew.org>  Sun, 24 Jan 1999 00:50:58 +0000

gpm (1.16.0-2) unstable; urgency=high

  * Link libgpm with ncurses as it uses stdscr() and not linking it
    requires the program using libgpm to do so, which none of them do.
    Reported by Lazarus Long <lazarus@overdue.ddns.org> and
    ron@microtronics.com.au. [#31608,#31633]

 -- James Troup <james@nocrew.org>  Sat,  9 Jan 1999 19:42:20 +0000

gpm (1.16.0-1) unstable; urgency=low

  * New upstream version, thanks to Davide Barbieri <paci@prosa.it> for
    telling me about it.
  * debian/control (Standards-Version): updated to 2.5.0.0.
  * debian/copyright: updated canonical FTP site and other information.
  * debian/rules (COMPAT_ARCHS): added sparc, requested by Christian Meder
    <meder@isr.uni-stuttgart.de>. [#29582 (1/2)]
  * debian/rules (build-libc5): don't hardcode $CPP to something
    inapproriate, reported by Chrisitan Meder
    <meder@isr.uni-stuttgart.de>. [#29582 (2/2)]
  * gpn.c (usage): typo (s/an unexistent/a non-existent/)
  * aclocal.m4 (ITZ_SYS_ELF): remove broken test which assumed that $CC is
    always exactly `gcc' on ELF systems.
  * debian/rules (build): build with -O2 not -O3 in line with upstream
    change and sanity.
  * debian/rules (build-libc5): ditto and redone as this upstream version
    has proper support for building in directories other than the root
    source directory.
  * debian/rules (SOMINOR): update.
  * debian/rules (binary-*): rewritten to cope with changes since 1.14, to
    not use {,} and generally be nicer.
  * debian/gpmconfig: fix logic bug (s/-a/-o/) to allow a `y' to do the
    right thing for the `run mouse-test' question.
  * debian/rules (build): force gpm-root (via configure) to use /etc not
    /usr/etc (eh?).
  * doc/Makefile.in (maintainer-clean): unconditionally (and
    non-interactively) remove files.  Also remove `mouse-test.1',
    `gpm.info-1' and `gpm.info-2'.
  * debian/rules (clean): force a `maintainer-clean' in doc/ to get rid of
    cruft in diff.

 -- James Troup <james@nocrew.org>  Wed,  6 Jan 1999 22:36:37 +0000

gpm (1.14-3) unstable; urgency=medium

  * Recompile with ncurses4.
  * debian/lib.shlibs: update.
  * debian/libg.shlibs: ditto.

 -- James Troup <james@nocrew.org>  Sat, 31 Oct 1998 00:23:24 +0000

gpm (1.14-2) unstable; urgency=low

  * debian/gpmconfig: Fix invocation of mktemp, thanks to Greg Schafer
    <gschafer@zip.com.au> for pointing out my carelessness. [#27426]

 -- James Troup <james@nocrew.org>  Sun,  4 Oct 1998 12:02:06 +0100

gpm (1.14-1) unstable; urgency=low

  * New upstream version [#25685].
  * debian/control (Maintainer): new address.
  * debian/gpmconfig: correct logic error in parsing answer to whether or
    not the user wants to run gpm-mouse-test, reported by Joel Rosdahl
    <joel@debian.org>. [#26725]
  * debian/gpmconfig: add ms3 to the accepted mouse types, reported by
    Armando Cerna <bubby@nettaxi.com>. [#25953]
  * debian/rc: test for root by checking the numeric id rather than the
    user name, reported by Yuri Niyazov <yuricake@geocities.com>. [#26174]
  * gpm-root.y (main): s/vcs0/vcs/g, reported by Patrik Rak
    <patrik@pandora.ms.mff.cuni.cz>. [#25839]

  * The following changes were thought of by François Gouget
    <fgouget@mygale.org> and he even provided a patch for them, which, uh,
    didn't work.  But even so, many thanks to him for the great
    idea. [#24345]
  * gpn.c (cmdline): modified handling of -t command line argument, so it
    can be used by anyone regardless of whether or not a copy of gpm is
    already running.
  * gpn.c (usage): update for new -t option "types".
  * mice.c: improved descriptions of mouse types.
  * mice.c (M_listMice): function used by -t help, reworked version of old
    M_listTypes.
  * mice.c (M_listTypes): function used by -t types; lists only mnemonics.
  * debian/gpmconfig: use the new -t types and -t option to automate both
    the help output and the detection of valid mouse types.

  * debian/gpmconfig: globally replace `echo foo` with $(echo foo).
  * debian/control (Standards-Version): Updated to 2.4.1.0.
  * debian/control (gpm): depend on debianutils (>= 1.7) to ensure mktemp
    is available for gpmconfig.
  * debian/rules (binary-gpm): install README and README.twiddler into
    /usr/doc/gpm/.
  * debian/rules: don't hard code the minor of the soname, but use a
    variable instead, to ease upgrades to new upstream versions.
  * aclocal.m4: force configure to leave CFLAGS alone so debian/rules
    can compile debuggable but optimized binaries.
  * debian/rules (build): pass our CFLAGS to configure rather than make so
    as not to lose ancillary information the Makefile passes in the
    CFLAGS.

 -- James Troup <james@nocrew.org>  Thu,  1 Oct 1998 11:57:16 +0100

gpm (1.13-5) frozen unstable; urgency=HIGH

  * mouse-test.c (main): exclude devices with a minor number of 130 from
    the device probe to avoid causing spontaneous reboots on machines
    where watchdog is used.  Reported by Jim Studt <jim@federated.com>
    [#22602]
  * debian/gpmconfig: s/protocl/protocol/ and improve description of ps2
    mice, thanks to Paul Slootman <paul@debian.org>. [#21428]
  * debian/control (libgpmg1): Recommend gpm _or_ xbase, as xbase provides
    a mouse server too. [#20449]
  * debian/control (libgpm1): ditto.

  * Following changes are a patch for Intellimouse PS/2 support from Ben
    Pfaff <pfaffben@pilot.msu.edu>. [#22496]
  * kmouse.h: Add PROTO_IMPS2.
  * mice.c: (I_imps2) New function.
    (mice[]) New entry for imps2: PS/2 Intellimouse.

 -- James Troup <J.J.Troup@comp.brad.ac.uk>  Thu, 21 May 1998 00:00:11 +0200

gpm (1.13-4) frozen unstable; urgency=medium

  * Makefile.in: compile the shared library with the pic versions of
    $EXTRAOBJS, Greg Stark <gsstark@mit.edu>. [#20008]
  * mice.c: #include <string.h> for memset() prototype.
  * libcurses.c: ditto.
  * mice.c (I_pnp): don't define unsed variable c.
  * debian/rules (binary-gpm): install mouse-test as gpm-mouse-test.
  * gpm-root.y: disable undocumented f.debug function because it uses a
    file in /tmp in a fashion which invites symlink abuse.
  * doc/doc.gpm: add information to generate a man page for mouse-test.
  * debian/rules (binary-gpm): install mouse-test manpage, and correct the
    name.
  * debian/rules (build): compile with "-g -O3 -Wall" (as opposed to "-O3
    -fomit-frame-pointer").
  * debian/rules (build-libc5): ditto.
  * debian/gpmconfig: offer the user the chance to run mouse-test,
    suggested by Tony Finch <fanf@lspace.org> [#5551].
  * debian/gpmconfig.8: updated to reflect changes in gpmconfig.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 26 Mar 1998 12:40:31 +0000

gpm (1.13-3) unstable; urgency=low

  * debian/postinst (check_gpm_conf): fix embarrassing typo
    (s/you're/your/). [#18086]
  * debian/control (libgpmg1): Recommend not Depend on gpm, since
    applications linked with libgpm retain their functionality in
    X. [#18223]
  * debian/control (libgpm1): ditto.
  * debian/control (libgpm1): Correct section (s/libs/oldlibs/).
  * debian/control (libgpm1-altdev): ditto (s/devel/oldlibs/).
  * debian/gpmconfig.8: new manpage for gpmconfig.
  * debian/postrm (purge): remove /etc/gpm.conf.
  * debian/rules (binary-gpm): install gpmconfig.8.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat, 21 Feb 1998 00:44:34 +0000

gpm (1.13-2) unstable; urgency=low

  * gpm.c (processConn): type of socket length changed (size_t -> socket_t).
    [#16043]
  * gpm-root.y (get_winsize): Open /dev/tty0 not /dev/console. [#10583]
  * debian/control (libgpmg1-dev): Replaces bo's libgpm1 to avoid overwrite
    problems.
  * debian/rules: s/g-ws/go=rX/g for all chmod calls.
  * debian/conffiles: /etc/gpm.conf is no longer a dpkg-handled conffile.
    [#16081]
  * debian/postinst (configure): drop test for previously unconfigured gpm
    and instead test for the presence of /etc/gpm.conf, if one is not
    found create a default and run gpmconfig.
  * debian/rules (binary-gpm): don't install /etc/gpm.conf.
  * debian/rc (reload): removed; gpm takes it configuration from the
    command line, a reload target makes no sense.
  * debian/rc (force-reload): new target which is an alias for restart
    (see above).
  * debian/control (Standards-Version): Updated to 2.4.0.0.
  * debian/rules (COMPAT_ARCHS): don't build libc5-compat stuff for sparc.
  * doc/manpager: Add an additional rule to convert "\ " to "\\ " to avoid
    the problem of groff escaping the slash away. [#12031]
  * debian/postinst (create_gpm_conf): new function to create a default
    configuration file suitable for the architecture.
  * debian/postinst (restart_gpm): new function which has the odious task
    of deciding whether or not to restart gpm.
  * debian/postinst: split into two case structures to avoid repetition.
  * debian/gpm.conf-i386: removed as it is now obsolete.
  * debian/gpm.conf-m68k: ditto.
  * debian/gpm.conf-axp: ditto.
  * debian/gpm.conf-sparc: ditto.
  * debian/gpmconfig: escape any backslashes in the append string to
    protect it from sed.
  * debian/gpmconfig: reversed change from 1.13-1 and use " to enclose the
    append string not '.
  * debian/gpmconfig: ensure any " in the append string are escaped with
    two backslashes to ensure shell meta-characters are protected from
    evaluation.
  * debian/postinst: change format of append line in default /etc/gpm.conf
    to avoid corruption of it.
  * debian/postinst (check_gpm_conf): new function to try and fix old
    broken gpm.conf files.
  * debian/rules (build-libc5): use a separate configure cache instead of
    removing the cache from the libc6 build.
  * debian/rules (clean): remove configc1.cache.
  * debian/copyright: improved and extended changes description.
  * debian/copyright: altered to reflect now uncompressed state of GPL in
    /usr/doc/copyright.
  * debian/prerm: remove superfluous duplicate  "set -e".
  * debian/control (libgpmg1): Depend on gpm since applications linked
    against libgpm require it for the mouse functions to work.
  * debian/control (libgpm1): ditto.
  * debian/copyright: update FSF's address.
  * debian/rules (binary-libgpm-altdev): use relative not absolute symlink
    for libgpm.so.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon,  9 Feb 1998 13:18:47 +0000

gpm (1.13-1) unstable; urgency=low

  * New upstream version. [#13397]
  * Uses pristine upstream source.
  * debian/gpmconfig: Extended descriptions of mouse types. [#9216 (2/2)]
  * debian/gpmconfig: added support for logim, ms3 and pnp mouse types.
  * debian/gpmconfig: More helpful error messages.
  * debian/gpmconfig: default mouse type in help is no longer i386-specific.
  * debian/gpmconfig: Append is enclosed in ' and not ".
  * debian/gpmconfig: When asked for additional arguments, append is
    cleared if the user answers {N,n} [#13893].
  * debian/rules: only build libc5-compat stuff for i386, m68k and sparc.
  * debian/rules: use $(STRIP).
  * debian/rules: strip libgpm.a with --strip-debug.
  * debian/rules: add a SHELL=/bin/bash.

  * debian/lib.postinst: only run ldconfig if called with configure as an
    argument.
  * debian/lib.postrm: removed; there's no need to run ldconfig at this
    point.
  * debian/postrm: rewritten in the style of the other
    *{{post,pre}{rm,inst}}* scripts.
  * debian/prerm: don't stop the daemon or remove info documentation on
    failed-upgrade.
  * debian/rc: rewritten and added reload target.
  * debian/lib5.preinst: ensure ld.so.1.x.x knows about
    /usr/lib/libc5-compat.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat,  6 Dec 1997 17:42:00 +0000

gpm (1.12-6) unstable; urgency=low

  * Removed spurious liblow.c.orig which was bloating the diff.gz.
  * Removed t-mouse.el{,c} and any reference to it from the binary
    package, it doesn't work with recent versions of emacs and is
    superceded by gpmemacs.
  * Added check to /etc/init.d/gpm to ensure that only root can run it.
  * Added `:' and `~' to the default inword LUT, to make double clicking
    on URLs easier.
  * Fixed gpn.c so gpm will accept 1 as an argument to -a [#11911].
  * Lots of spelling corrections/typo fixes and a couple of minor
    alterations to the info file and man page.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri,  8 Aug 1997 23:55:01 +0100

gpm (1.12-5) unstable; urgency=low

  * Corrected bogus libgpmg1 shlibs file.
  * Corrected gpm.h so that programs linked against libgpm
    don't cause problems after being run in an xterm [#10959].
  * /etc/init.d/gpm is now a conffile.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed,  9 Jul 1997 10:49:20 +0100

gpm (1.12-4) unstable; urgency=low

  * Build libgpm.so with -lc, to ensure the dynamic linker
    can distinguish between the libc5 and libc6 version.
  * If $DISPLAY is set gpm will ask if gpm should be started
    since the problems reported in #7343 don't happen to
    everyone [#10929].

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 01 Jul 1997 02:19:40 +0100

gpm (1.12-3) unstable; urgency=low

  * Rebuilt for libc6.
  * Configure gpm only if there is no previously configured
    version [#9216 (1/2)].
  * Don't restart gpm if $DISPLAY is set [#7343, #10766].
  * Force doc/manpager to use gawk, fixes problem of text
    running together without spaces in gpm.1 [#9753 (1/2)].

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 26 Jun 1997 17:30:23 +0100

gpm (1.12-2) unstable; urgency=low

  * Patched for glibc.  Patch from Michael Alan Dorman <mdorman@debian.org>.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sun, 27 Apr 1997 23:24:54 +0100

gpm (1.12-1) unstable; urgency=low

  * New upstream version.
  * Really compile libgpm1 with -DREENTRANT.
  * Added support for ligim, sun, ncr and wacom to gpmconfig.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 24 Apr 1997 20:42:52 +0100

gpm (1.10-7) unstable; urgency=low

  * New maintainer.
  * Reworked debian/* to my tastes.
  * Strip libgpm.so with --strip-unneeded as per standard.
  * Removed empty /usr/include directory from gpm.
  * install-info --remove call moved to prerm as per standard.
  * Removed obsolete preinst.
  * Altered prerm, gpmconfig and /etc/init.d/gpm to use start-stop-daemon.
  * Removed command line arguments from startup message.
  * gpm once more Suggests: emacs, it got lost at some stage.
  * Added seperate gpm.conf files for m68k, sparc and alpha
    (Thanks to Eric Delauney and Michael Alan Dorman for sparc and
    alpha information).
  * Patched for glibc.  Patch from Michael Alan Dorman <mdorman@debian.org>.
  * Changed default mouse type for i386 to ms (bug #7935).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 23 Apr 1997 09:13:11 +0100

gpm (1.10-6) unstable; urgency=low

  * Modified preinst to work properly (Bug#7176)

 -- Martin Schulze <joey@debian.org>  Mon, 10 Feb 1997 08:45:41 +0100

gpm (1.10-5) unstable; urgency=low

  * Made /etc/init.d/gpm more verbose, according to standard

  * Compressed manpages

  * Uncompressed copyright

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 8 Feb 1997 11:12:02 +0100

gpm (1.10-4) unstable; urgency=low

  * Converted to Standards-Version: 2.1.1.2 with great help by James Troup
    <J.J.Troup@comp.brad.ac.uk>

  * Moved libgpm1 from section misc into libs

  * Modified prerm to work correct with broken versions of
    /etc/init.de/gpm that would kill itself instead of the daemon.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 31 Jan 1997 10:24:58 +0100

gpm (1.10-4~) unstable; urgency=low

        * debian.rc: Use pidof instead of killall (Bug#6043)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu Jan  2 13:53:31 1997

gpm (1.10-4~~) unstable; urgency=low

        * debian.rules: Installed upstream ChangeLog

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun Dec 22 11:31:26 1996
gpm (1.10-4~~~) unstable; urgency=low

        * stripped gpm (Bug#5076)
        * stripped libgpm.so.$(version) (Bug#5129)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed Oct 30 08:17:25 1996

gpm (1.10-4~~~~) unstable; urgency=low

        * debian.copyright: added new address for Alessandro

        * debian.rc: gpm -i --> killall gpm - needed to reduce hangs when
        called under X11

        This is what we (Allesandro and I) found out. Release 1.11 of gpm
        will have a timeout added.

        * debian.gpmconfig: gpm -i --> killall gpm

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu Sep 26 09:32:26 1996

gpm (1.10-4~~~~~) unstable; urgency=low

        * /etc/init.d/gpm: Configuration based on /etc/gpm.conf
        * Created /usr/sbin/gpmconfig to manipulate /etc/gpm.conf
        * /etc/init.d/gpm: no longer a configuration file
        * /usr/doc/copyright/{gpm,libgpm1} --> /usr/doc/{gpm,libgpm1}/copyright
        * /usr/doc/{gpm,libgpm1}/changelog.gz
        * Moved gpm into /usr/sbin as it's a system and not a user program
        * Modified prerm/postrm (Bug#4252)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun Sep  1 15:38:17 1996

gpm (1.10-4~~~~~~) unstable; urgency=low

        * removed /usr/man/man1/libgpm.so.1 (Bug#3528)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat Jul  6 11:27:39 1996

gpm (1.10-4~~~~~~~) unstable; urgency=low

        * Splitted the binary into two packages, one consisting of a
        (shared) library and one containing the executable.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon Jul  1 10:23:39 1996

gpm (1.06-1) unstable; urgency=low

        * created first version of 1.06. While packaging I solved
        Bug#1669, Bug#2215, Bug#2232, Bug#2388, Bug#2518, Bug#2521, Bug#2522

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed May  8 00:54:43 1996
